# Pobieranie paczki instalacyjnej z serwera

Paczkę instalacyjną pobieramy przy pomocy narzędzia: wget

Dostępne paczki instalacyjne znajdują się pod adresem:
http://support.edokumenty.eu/download/installation/linux-os/

Dla Debian 11 (Bullseye) pobieramy: ed-bullseye-installer-v11.0.2.zip<br>
      
      wget --user=[NAZWA] --password=[HASŁO] http://support.edokumenty.eu/download/installation/linux-os/ed-bullseye-installer-v11.0.2.zip

Po pobraniu paczki rozpakowujemy ją:

      unzip ed-bullseye-installer-v11.0.2.zip


## Instalacja systemu Ready_™ z pobranej paczki instalacyjnej

Instalacja systemu Ready_™ poprzez niniejszy instalator zakłada że bazowy system już działa i wymaga w zasadzie wykonania jednego skryptu instalacyjnego oraz kilku czynności dodatkowych.

1. Wykonaj skrypt

         ./install.sh
W przypadku problemów z uruchomieniem skryptu nadaj uprawniania do folderu w którym znajduje się instalator:

         chmod -R 755 ed-bullseye-installer-v11.0.2


   * akceptuj instalację wszystkich pakietów – min. Apache, PHP, PostgrSQL oraz dodatków ZendLoad

   * zgadzaj się na podmianę plików konfiguracyjnych Apache, PHP, PostgrSQL


   Nie ma potrzeby restartować serwera apache – zrobi to skrypt instalacyjny Ready_™


2. Pobierz plik zip z aplikacją <br>
W konsoli zmień konto użytkownika na edokumenty, pobierz plik z aplikacją z serwera do katalogu domowego użytkownika edokumenty i rozpakuj.

         #su - edokumenty
         $wget --user=[USER] --password=[HASŁO] http://support.edokumenty.eu/download/application/ready/Ready_<WERSJA>.zip
         $unzip Ready_<WERSJA>.zip

   3. Utwórz foldery w katalogu Ready_™<br>
   su - root<br>
   $mkdir files<br>
   $mkdir maildir<br>
   $mkdir public_ftp<br>
   $mkdir repos<br>
   $mkdir repository<br>
   $mkdir users<br>
      <br>
   Ustaw właściciela dla wszystkich plików (cały katalog /home/edokumenty/public_html)<br>
   Zmień i uprawnij do katalogu zmiennych zapisywanych przez serwer (var)
   
            sudo su
            cd /home/edokumenty 
            chown -R edokumenty:users bin
            chown -R edokumenty:users etc
            chown -R edokumenty:users lib
            chown -R edokumenty:users public_html
            chown -R www-data:edokumenty public_html/apps/edokumenty/var
            chmod -R g+rwX public_html/apps/edokumenty/var
            chmod  g+s public_html/apps/edokumenty/var
            chmod  g+s public_html/apps/edokumenty/var/img
            chmod  g+s public_html/apps/edokumenty/var/tmp
            chmod  g+s public_html/apps/edokumenty/var/tpl
            chgrp -R edokumenty public_html/apps/edokumenty/var/cache
            chmod -R g+rwX public_html/apps/edokumenty/var/cache
            chown -R www-data:edokumenty public_html/apps/edokumenty/var/cache/tmpl
            chmod  g+s public_html/apps/edokumenty/var/cache/tmpl
            chown -R edokumenty:users vendor

            chown -R www-data:edokumenty files maildir repository repos public_ftp users
            chmod -R u+rwX,g+rwX,o-rwx files maildir repository repos public_ftp users

            #Ustaw uprawnienia dla podkatalogów katalogu backproc<br>
            cd /home/edokumenty/public_html/apps/backproc<br>
            chown -R www-data:edokumenty data logs pid<br>
            chmod -R u+rwX,g+rwXs,o-rwx data logs pid<br>

4. Zmień nazwę katalogu instalacyjnego z install- na install

         $cd public_html/apps/edokumenty
         $mv install- install
         
5. Wykonaj kroki instalatora webowego<br>
Otwórz przeglądarkę na adres http://<adresIP> jeśli nie nastąpiło automatyczne przekierowanie przejdź do strony: http://<adresIP>/apps/edokumenty/install/<br>
Na pierwszym ekranie należy podać dane:<br>
adres serwera bazy – (puste)<br>
nazwa bazy – edokumenty<br>
nazwa użytkownika posiadającego uprawnienia do instalacji – edokumenty hasło – (puste)<br>
nazwa użytkownika do pracy – http hasło – (puste)<br>
<br>
6. Zabezpiecz prawa do plików<br>
Po zakończeniu instalacji zmień zpowrotem nazwę katalogu intalacyjnego na install-:

      $cd public_html/apps/edokumenty
      $mv install- install

Przydziel uprawnienia do pliku konfiguracyjnego config.inc<br>
    
      chown www-data:edokumenty public_html/apps/edokumenty/config.inc
      chmod g+w public_html/apps/edokumenty/config.inc

7. Sprawdź poprawność instalacji<br>
Przejdź do strony https://<adresIP>, powinna otworzyć się strona i zarządzać otwarcia nowego okna. Po zezwoleniu powinien się ukazać ekran logowania do systemu eDokumenty – logujemy się na konto administratora (ustawione w kreatorze).
